Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233942 - Review Request: queuegraph - A RRDtool frontend for Mail statistics
Summary: Review Request: queuegraph - A RRDtool frontend for Mail statistics
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Hinegardner
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 07:57 UTC by Bernard Johnson
Modified: 2014-08-22 12:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 19:51:35 UTC
jeremy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-26 07:57:33 UTC
Spec URL: http://symetrix.com/~bjohnson/projects/Fedora-Extras/queuegraph.spec
SRPM URL: http://symetrix.com/~bjohnson/projects/Fedora-Extras/queuegraph-1.1-1.fc6.src.rpm
Description:
Queuegraph is a very simple mail statistics RRDtool frontend for Postfix that
produces daily, weekly, monthly and yearly graphs of Postfix's active,
deferred, incoming and bounce queues.

Comment 1 Jeremy Hinegardner 2007-03-26 16:21:49 UTC
I'd be happy to review this package, look for a review today.

Comment 2 Jeremy Hinegardner 2007-03-27 00:28:59 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistent macro usage.
OK - Meets Packaging Guidelines.
ISSUE - License See (1) below
OK - Spec in American English
OK - Spec is legible. 
OK - Sources match upstream md5sum:
2e0c78563cef4fb3195b06e9ee102264  queuegraph.tar.gz
2e0c78563cef4fb3195b06e9ee102264  queuegraph.tar.gz.1

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
ISSUE - Package owns all the directories it creates. See (2) below

OK - rpmlint output
E: queuegraph non-standard-gid /var/cache/queuegraph apache
E: queuegraph non-standard-dir-perm /var/cache/queuegraph 0775
That should be fine since this is cache location for a cgi script.

OK - Should build in mock.
OK - Should have sane scriptlets.
 
OK - Should have dist tag
OK - Should package latest version

1) Only the queugraph.cgi is explicitly GPL the other scripts say nothing about
a license and I was unable to find anything on the queuegraph website.  Maybe
talk to upstream about including a COPYING file ?

2) %dir needed for %{_datadir}/queuegraph


Comment 3 Bernard Johnson 2007-03-27 02:38:18 UTC
(In reply to comment #2)
> ISSUE - License See (1) below
> 1) Only the queugraph.cgi is explicitly GPL the other scripts say nothing about

"other" script is queuegraph-rrd.sh

queuegraph-rrd.sh appears to have been originally posted here:
http://archives.neohapsis.com/archives/postfix/2004-07/1527.html as mailqsize
with no license information.

If this is a problem, I can rewrite it in perl :)

The 3 lines from the original program are: a) the location of postfix and b) the
find over the 2 types of queues

Jason Thomas added the rrd file creation from create.sh.

I'm not sure any of this qualifies as original works.


> a license and I was unable to find anything on the queuegraph website.  Maybe
> talk to upstream about including a COPYING file ?
 
> 2) %dir needed for %{_datadir}/queuegraph

I'm using %{_datadir}/queuegraph so that the cgi file is included as well.  By
not specifying %dir, I get directory ownership and file ownership in the glob. 

You can see that the directory is owned with 'rpm -qpl <package>'.


Comment 4 Jeremy Hinegardner 2007-03-27 04:21:45 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > ISSUE - License See (1) below
> > 1) Only the queugraph.cgi is explicitly GPL the other scripts say nothing about
> 
> "other" script is queuegraph-rrd.sh
> 
> queuegraph-rrd.sh appears to have been originally posted here:
> http://archives.neohapsis.com/archives/postfix/2004-07/1527.html as mailqsize
> with no license information.
> 
> If this is a problem, I can rewrite it in perl :)
> 
> The 3 lines from the original program are: a) the location of postfix and b) the
> find over the 2 types of queues
> 
> Jason Thomas added the rrd file creation from create.sh.
> 
> I'm not sure any of this qualifies as original works.

Okay I agree, not sure what I was thinking.

> > a license and I was unable to find anything on the queuegraph website.  Maybe
> > talk to upstream about including a COPYING file ?
>  
> > 2) %dir needed for %{_datadir}/queuegraph
> 
> I'm using %{_datadir}/queuegraph so that the cgi file is included as well.  By
> not specifying %dir, I get directory ownership and file ownership in the glob. 
> 
> You can see that the directory is owned with 'rpm -qpl <package>'.

My Mistake, its good to learn something new.

It looks good so this package is APPROVED.



Comment 5 Bernard Johnson 2007-03-27 05:46:53 UTC
New Package CVS Request
=======================
Package Name: queuegraph
Short Description: A RRDtool frontend for mail statistics
Owners: bjohnson@symetrix.com
Branches: FC-5, FC-6, EL-4, EL-5
InitialCC: 

Comment 6 Jens Petersen 2007-03-27 13:15:19 UTC
done

Comment 7 Bernard Johnson 2014-08-22 02:37:15 UTC
Package Change Request
======================
Package Name: queuegraph
New Branches: epel7
Owners: bjohnson

Comment 8 Gwyn Ciesla 2014-08-22 12:07:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.